> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# All Client Categories



## OpenAPI

````yaml get /client_categories
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_categories:
    get:
      tags:
        - default
      summary: All Client Categories
      parameters:
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 09:06:13 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '9449'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 45d2892d-2af4-4b0e-9c68-e4bb2fec97de
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    client_category_id:
                      type: integer
                      description: >-
                        This is an identifier used to help group and categorize
                        the millions of consumer products in our database. It
                        will be used as a request parameter in several of our
                        API calls.
                    client_category:
                      type: string
                      description: This is the display name for each product category.
                    parent_client_category_id:
                      type: integer
                    is_group_category:
                      type: boolean
                    cid:
                      type: integer
                      description: >-
                        The cid is the identifier that matches the
                        `client_category_id` to ValueChecker’s internal product
                        categories. This value is for reference only and can be
                        ignored.
                    category:
                      type: string
                    api_sort_order:
                      type: integer
                    has_depreciation:
                      type: boolean
                    has_replacement:
                      type: boolean
                      description: >-
                        Shows whether the `client_category_id` is considered a
                        “Replacement category” by ValueChecker. “Replacement
                        Categories” represent product groupings that
                        ValueChecker has defined Like-Kind-and-Quality
                        replacement logic for -- which means a comprehensive
                        search to find relevant Replacement Products based on
                        objective specification values can be completed for
                        products in these categories. All `client_category_id’s`
                        where `has_replacement` = True are considered
                        “Replacement Categories”. Where `has_replacement` =
                        False, ValueChecker is still able to search for the
                        product and find real-time pricing information; however,
                        there is no ability to search for Replacement Products
                        within these categories.
                    acv_disabled:
                      type: boolean
                      description: >-
                        Informs as to whether the category has depreciation
                        calculations associated with it. Depreciation can be
                        applied in the Calculate ACV call.
                    show_closest_matches:
                      type: boolean
              example:
                - client_category_id: 30893
                  client_category: Undefined
                  parent_client_category_id: 0
                  is_group_category: false
                  cid: 0
                  category: Undefined
                  api_sort_order: 0
                  has_depreciation: false
                  has_replacement: false
                  acv_disabled: true
                  show_closest_matches: true
                - client_category_id: 2740
                  client_category: Mobile Phones
                  parent_client_category_id: 0
                  is_group_category: false
                  cid: 4364
                  category: Cell Phones
                  api_sort_order: 1
                  has_depreciation: true
                  has_replacement: true
                  acv_disabled: false
                  show_closest_matches: true
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````